# Create multiple job targets at once

Creates new targets for the specified job and returns the job target IDs.

Endpoint: POST /api/jobs/{id}/targets/bulk
Version: v2.0
Security: OAuth2

## Security:

  - `OAuth2` (unknown)
    oauth2

## Path parameters:

  - `id` (integer, required)
    The ID for the job target, for example `39605`.

## Request body:

  - `application/json` (unknown)
    The request containing target information.

## Request fields (application/json):

  - `items` (array)
    Gets or sets the list of items.

  - `items.id` (integer)
    Gets or sets the entity ID.

  - `items.identifier` (string)
    Gets or sets the entity identifier.

  - `items.properties` (object)
    Gets or sets the properties of the entity.

  - `items.relations` (object)
    Gets or sets the relations of the entity.

  - `items.is_root_taxonomy_item` (boolean)
    Gets or sets a value indicating whether the entity is a root taxonomy item.

  - `items.is_path_root` (boolean)
    Gets or sets a value indicating whether the entity is a path root.

  - `items.entitydefinition` (object)
    Represents a link to a resource.

  - `items.entitydefinition.href` (string)
    Gets or sets the URI that points to the resource this link refers to.

  - `items.entitydefinition.filename_properties` (array)
    Gets or sets the URI that points to the resource this link refers to.

  - `items.entitydefinition.title` (string)
    Gets or sets the title that describes this link.

  - `items.entitydefinition.templated` (boolean)
    Gets or sets a value indicating whether the contained URI is a template.

  - `items.is_system_owned` (boolean)
    Gets or sets a value indicating whether the entity is system owned.

  - `items.inherits_security` (boolean)
    Gets or sets a value indicating whether the entity inherits security.

## Response 200:

  - `200` (unknown)
    Successful operation.

## Response 200 fields (application/json):

  - `items` (array)
    Gets or sets the list of items.

  - `items.id` (integer)
    The unique identifier for the entity.

  - `items.identifier` (string)
    The identifier string for the entity.

  - `items.link` (object)
    Represents a link to a resource.

  - `items.link.href` (string)
    Gets or sets the URI that points to the resource this link refers to.

  - `items.link.filename_properties` (array)
    Gets or sets the URI that points to the resource this link refers to.

  - `items.link.title` (string)
    Gets or sets the title that describes this link.

  - `items.link.templated` (boolean)
    Gets or sets a value indicating whether the contained URI is a template.

  - `total_items` (integer)
    Gets or sets the total number of items.

  - `returned_items` (integer)
    Gets or sets the number of returned items.

  - `offset` (integer)
    Gets or sets the offset of the items.

  - `identifier` (string)
    Gets or sets the identifier of the resource.

## Response 201:

  - `201` (unknown)
    Targets successfully created.

## Response 400:

  - `400` (unknown)
    Request not valid (for example, less than or equal to zero), or target resources are null.

## Response 401:

  - `401` (unknown)
    Unauthorized request.

## Response 404:

  - `404` (unknown)
    Entity not found or user not authorized.

